Subject: bug#10554: 24.0.92; No units specified (dimensionless quantities in Emacs Calc)

From: "Roland Winkler" <[email-masked]>
Date: Sat, 21 Jan 2012 10:03:21 -0600

On Sat Jan 21 2012 Jay Belanger wrote:
> > - If Calc finds a dimensionless number "7" on the stack, for unit
> >   conversions it gets interpreted as "7 one"
> 
> This would break current convert-units behavior, where a dimensionless
> number can be interpreted by the user as any unit.  This is why when the
> user asks to convert a plain number, Calc asks for the old units.  Calc
> was written that way on purpose, and is a feature of Calc's units
> handling.

That's why I said later in the email you are quoting:

  As discussed already, backward compatibility will require a user
  variable calc-treat-numbers-as-dimensional, bound to nil by default.
  There might be other situations where the requested treatment of
  dimensionless numbers implies a deviation from the current behavior

Roland